/* jahostu.h -- part of the gismu view/edit tool */
/* Copyright (C) 2000 Raphael Poss <grey.havens@earthling.net> */
/*
    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
#ifndef _jahostu_h
#define _jahostu_h

#include <cursesp.h>

enum Jahostu_e {
	JS_gihuste = 0,
	JS_cirsaujaho,
	JS_veirgahi,
	JS_galfi_sidju,
	JSfanmo
};

#define JSkancu ((const int)(JSfanmo))

struct rect {
	int h, w;
	int y, x;
};

extern  rect jahostuste[];

extern void jahostuste_cfari();

extern const char* galfi_skitcita;
extern const char* samruhe_skitcita;

extern int preti_cipra(int c);
extern void preti_ciska(NCursesPanel& w);

extern void gahirsidju_ciska(NCursesPanel& w);


#endif
