/* ui_veirgahi.h -- part of the gismu view/edit tool */
/* Copyright (C) 2000 Raphael Poss <grey.havens@earthling.net> */
/*
    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
#ifndef __ui_veirgahi_h
#define __ui_veirgahi_h

#include <cursesf.h>
#include "gismu.h"

struct GalfiXruti {
	const char* gismu;
	Gihurvei& gv;
	bool baho_misvla_galfi;
};

class GihurveiGalfi : public NCursesForm
{
	private:
		NCursesFormField** F;
		bool* Fins;
		int Fi[Gihurvei::selveivau];

		void galfi();
		
		void djujaho();

		GalfiXruti& _x;

		int tcita_zbasu(NCursesFormField **T);
		int gahirkahu_zbasu(NCursesFormField **F);
	public:
		GihurveiGalfi(GalfiXruti& x);
		int virtualize(int c);	
};
		
#endif
